%% Calcule d'un intervalle de confiance pour M_4 par la méthode de Monte-Carlo.
% Cette fonction affiche l'intervalle de confiance au risque 1 % pour M_4.
function MC_IC ()
Nsim = 5000000;
somme = 0;
% Pour estimer l'écart-type de Y, nous avons besoin d'estimer l'espérance
% de Y^2, et donc de calculer la somme des réalisations de cette v. a., que
% nous stockerons dans "somme_carres".
somme_carres = 0;
for i = 1 : Nsim
    Y = loi_de_Y ();
    somme = somme + Y;
    % Il faut aussi mettre à jour "somme_carres".
    somme_carres = somme_carres + Y * Y;
end
estimateur = somme / Nsim;
% Nous avons besoin d'estimer l'écart-type de Y. Pour cela, nous commençons
% par calculer l'estimateur "estimateur_EY2" de l'espérance de son carré.
estimateur_EY2 = somme_carres / Nsim;
% À partir de "estimateur" et de "estimateur_EY2", nous calculons
% maintenant un estimateur "estimateur_sigma" de l'écart-type de Y.
estimateur_sigma = sqrt (estimateur_EY2 - estimateur * estimateur);
% Nous calculons la marge d'erreur "marge" pour l'estimation de M_4. Le
% nombre 2,58 qui apparait correspond à la valeur absolue que la loi
% normale standard n'a que 1 % de chances de dépasser.
marge = 2.58 * estimateur_sigma / sqrt (Nsim);
% On affiche les résultats obtenus.
fprintf ('Au risque 1 %%, M_4 vaut %.6f ± %.6f.\n', estimateur, marge);
return
end