%% Calcul d'un intervalle de confiance pour M_4^{1/4} par la méthode de Monte-Carlo.
% Cette fonction affiche l'intervalle de confiance au risque 1 % pour
% M_4^{1/4}.
function MC_homogene_IC ()
Nsim = 5000000;
% Dans un premier temps on va, comme précédemment, calculer l'estimateur de
% M_4, ainsi que la variance effective de cet estimateur.
somme = 0;
somme_carres = 0;
for i = 1 : Nsim
    Y = loi_de_Y ();
    somme = somme + Y;
    somme_carres = somme_carres + Y * Y;
end
estimateur = somme / Nsim;
estimateur_EY2 = somme_carres / Nsim;
estimateur_sigma = sqrt (estimateur_EY2 - estimateur * estimateur);
% "sigma_estimateur" est l'écart-type (estimé) de "estimateur" (à ne pas
% confondre avec "estimateur_sigma", qui est l'estimateur de l'écart-type
% de Y elle-même !).
sigma_estimateur = estimateur_sigma / sqrt (Nsim);
% L'estimateur de M_4^{1/4}, appelé "estimateur_homogene", se déduit
% évidemment de celui de M_4 par la fonction « puissance 1/4 ».
estimateur_homogene = estimateur ^ (1 / 4);
% Il faut calculer l'écart-type (estimé) de "estimateur_homogene", notée
% "sigma_estimateur_homogene". Pour cela on fait l'approximation de
% linéarité, et on utilise la formule pour la dérivée de la fonction «
% puissance 1/4 », évaluée en "estimateur".
sigma_estimateur_homogene = 1 / 4 / estimateur ^ (3 / 4) * ...
    sigma_estimateur;
% La suite est, comme pour les questions précédentes, une simple lecture
% des fluctuations d'une loi normale.
marge = 2.58 * sigma_estimateur_homogene;
fprintf ('Au risque 1 %%, M_4^{1/4} vaut %.6f ± %.6f\n.', ...
    estimateur_homogene, marge);
return
end