%% Estimation de M_4 par la méthode de Monte-Carlo.
% Cette fonction affiche l'estimateur de Monte-Carlo pour M_4, en procédant
% à 5 000 000 simulations.
function MC_simple ()
% Pour éviter de saisir deux fois la même valeur numérique, on introduit la
% variable "Nsim" pour le nombre 5000000 de simulations.
Nsim = 5000000;
% "somme" est la somme des réalisations de Y que nous allons simuler.
somme = 0;
% Boucle pour le calcul de Monte-Carlo, dans laquelle nous allons passer
% 5000000 fois, grâce à l'indice "i".
for i = 1 : Nsim
    % On simule une réalisation de Y.
    Y = loi_de_Y ();
    % On met à jour "somme".
    somme = somme + Y;
end
% L'estimateur "estimateur" de M_4 correspond à la moyenne des simulations
% réalisées.
estimateur = somme / Nsim;
% On affiche le résultat.
fprintf ('M_4 est estimé à la valeur %.6f.\n', estimateur);
% Le programme rend la main.
return
end