%% Calcul d'une borne supérieure de M_4 par la méthode de Monte-Carlo.
% Cette fonction affiche une borne supérieure de M_4, borne qui n'a que 1 %
% de risque d'être invalide.
function MC_sup ()
Nsim = 5000000;
somme = 0;
somme_carres = 0;
for i = 1 : Nsim
    Y = loi_de_Y ();
    somme = somme + Y;
    somme_carres = somme_carres + Y * Y;
end
estimateur = somme / Nsim;
estimateur_EY2 = somme_carres / Nsim;
estimateur_sigma = sqrt (estimateur_EY2 - estimateur * estimateur);
% Cette fois-ci la marge d'erreur fait intervenir la valeur qu'une loi
% normale standard a 1 % de chance de dépasser en valeur signée, soit 2,33.
marge = 2.33 * estimateur_sigma / sqrt (Nsim);
% Ce qu'on nous demande en l'occurrence n'est pas l'estimateur, mais la
% borne supérieure sur la vraie valeur de M_4. Ici la marge d'erreur doit
% évidemment être ajoutée à l'estimateur.
fprintf ('Au risque 1 %%, M_4 est inférieure à %.6f\n.', ...
    estimateur + marge);
return
end