%% Estimation de la probabilité d'un brelan.
% Cette fonction prend en argument le nombre "Nsim" de simulations
% demandées, et affiche la probabilité estimée d'obtenir un intervalle de
% confiance obtenue par la méthode de Monte-Carlo, assortie d'un intervalle
% de confiance à 5 %.
function proba_brelan (Nsim)
% "Nsucces" compte le nombre de succès.
Nsucces = 0;
for i = 1 : Nsim
    if simulation ();
        Nsucces = Nsucces + 1;
    end
end
% "p" est la probabilité de succès empirique.
p = Nsucces / Nsim;
% "sigma" est (l'estimateur de) l'écart-type de l'indicatrice du succès. En
% l'occurrence, on l'otient directement à partir de p.
sigma = sqrt (p * (1 - p));
% "sigma_estimateur" est la variance de l'estimateur de la probabilité de
% succès.
sigma_estimateur = sigma / sqrt (Nsim);
% "marge" est la marge d'erreur (à 5 %) sur la probabilité estimée.
marge = 1.96 * sigma_estimateur;
% On affiche le résultat.
fprintf ('La probabilité d''obtenir un brelan est de ')
fprintf ('%.3f %% ± %.3f.\n', 100 * p, 100 * marge);
return
end