%% Simulation détaillée d'une tentative d'obtenir un brelan.
% Cette fonction simule de façon détaillée le processus par lequel un
% joueur tente d'obtenir un brelan, et renvoie un booléen "succes"
% indiquant si le joueur a réussi ou non.
function succes = simulation_bavarde ()
% On simule le sabot, stocké dans "s", et on l'affiche.
s = sabot ();
fprintf ('Composition du sabot :\n');
for i = 1 : 52
    fprintf ('%3d', s (i));
end
fprintf ('\n\n');
% "haut_du_sabot" va contenir les hauteurs des 8 cartes du haut du sabot.
haut_du_sabot = zeros (1, 8);
for i = 1 : 8
    haut_du_sabot (i) = hauteur (s (i));
end
% On affiche le haut du sabot.
fprintf ('Hauteur des cartes du haut du sabot :\n');
for i = 1 : 8
    fprintf ('%3d', haut_du_sabot (i));
end
fprintf ('\n\n');
% "main" est la main du joueur.
main = zeros (1, 5);
for i = 1 : 5
    main (i) = haut_du_sabot (i);
end
fprintf ('Main initiale du joueur :\n');
for i = 1 : 5
    fprintf ('%3d', main (i));
end
fprintf ('\n\n');
% "changements" liste, pour chaque carte de la main, si le joueur choisit
% de la changer.
changements = decision (main);
fprintf ('Cartes que le joueur choisit d''échanger :\n');
for i = 1 : 5
    if changements (i)
        fprintf ('%3d', main (i));
    else
        fprintf ('  .');
    end
end
fprintf ('\n\n');
% Maintenant il s'agit de procéder à l'échange des cartes du joueur. Pour
% cela nous avons besoin d'introduire une variable "n" correspondant à la
% position de la prochaine carte à piocher dans "haut_du_sabot".
n = 6;
for i = 1 : 5
    if changements (i)
        main (i) = haut_du_sabot (n);
        n = n + 1;
    end
end
fprintf ('Main du joueur à l''issue de son changement de cartes :\n');
for i = 1 : 5
    fprintf ('%3d', main (i));
end
fprintf ('\n\n');
% Il reste à savoir si le joueur a réussi à obtenir un brelan ; cela se
% fait par les mêmes lignes de code que dans "decision (à ceci près qu'on
% n'a plus besoin de "recordman").
comptage = zeros (1, 5);
for i = 1 : 5
    for j = 1 : 5
        if main (i) == main (j)
            comptage (i) = comptage (i) + 1;
        end
    end
end
record = 0;
for i = 1 : 5
    if comptage (i) > record
        record = comptage (i);
    end
end
% Le joueur a-t-il réussi à obtenir un brelan ?
succes = (record >= 3);
if succes
    fprintf ('Le joueur a réussi a obtenir un brelan !\n\n');
else
    fprintf ('Le joueur a échoué a obtenir un brelan.\n\n');
end
return
end