% Estimation de p_1 par la méthode de Monte-Carlo.
% "Nsim" est le nombre de simulations demandées.
function grecque_modif (Nsim)
% C'est exactement le même programme que "grecque_base" ; on a juste changé les
% paramètres "esp_increment" et "var_increment" (et remplacé « p_0 » par « p_1
% », bien entendu).
Njours = 5;
seuil = 2;
esp_increment = -.18;
var_increment = 1.1;
succes = 0;
for i = 1: Nsim
  cours = zeros (Njours, 1);
  actif = 0;
  for j = 1 : Njours
    increment = esp_increment + sqrt (var_increment) * randn ();
    actif = actif + increment;
    cours(j) = actif;
  end
  test = false;
  for j = 1: Njours
    test = test || (cours(j) > seuil);
  end
  if test
    succes = succes + 1;
  end
end
p1_empirique = succes / Nsim;
var_fonction = p1_empirique - p1_empirique * p1_empirique;
var_estimateur = var_fonction / Nsim;
fprintf ('p_1 vaut %f %% ± %f.\n', ...
  100 * p1_empirique, 100 * 1.96 * sqrt (var_estimateur));
return
end