% Estimation de la différence entre probabilités de défaut, avec couplage /et/ échantillonnage préférentiel.
% Cette fonction prend en entrée le nombre "Nsim" de simulations demandées, et
% affiche l'estimation de la probabilité de défaut pour la 1re allocation moins
% la probabilité pour la 2e allocation.
function diffdefaut_pref (Nsim)
global Sperso Sinvest Sbanque r piA piB muA muB sigmaAA sigmaBB sigmaAB ...
  muAech muBech piAbis piBbis
init_17bis ();
XA = piA * Sinvest;
XAbis = piAbis * Sinvest;
XB = piB * Sinvest;
XBbis = piBbis * Sinvest;
SIGMA = [sigmaAA sigmaAB; sigmaAB sigmaBB];
gradlogdens = ([muA, muB] - [muAech, muBech]) / inv (SIGMA);
R = (chol (SIGMA))';
somme_g = 0;
somme_g2 = 0;
for i = 1 : Nsim
  accrlog = [muAech; muBech] + R * randn (2, 1);
  densite = exp (gradlogdens * (accrlog - ([muA; muB] + [muAech; muBech]) / 2));
  factaccr = exp (accrlog);
  Xp = [XA; XB] .* factaccr;
  Xpbis = [XAbis; XBbis] .* factaccr;
  XAp = Xp(1);
  XApbis = Xpbis(1);
  XBp = Xp(2);
  XBpbis = Xpbis(2);
  % La variable aléatoire "g" dont on considère l'espérance ici est la
  % différence des indicatrices de défaut, multipliée par la densité.
  diffind = 0;
  if XAp + XBp - Sinvest + Sperso < r * Sbanque
    diffind = diffind + 1;
  end
  if XApbis + XBpbis - Sinvest + Sperso < r * Sbanque
    diffind = diffind - 1;
  end
  g = diffind * densite;
  somme_g = somme_g + g;
  somme_g2 = somme_g2 + g * g;
end
moy_g = somme_g / Nsim;
var_g = somme_g2 / Nsim - moy_g * moy_g;
var_estr = var_g / Nsim;
fprintf ('Probabilité de défaut évitée : %f %% ± %f.\n', ...
  100 * moy_g, 100 * 1.96 * sqrt (var_estr));
return
end