% Initialisation des paramètres pour l'exercice « Les risques du levier ».
% Cette fonction initialise les paramètres globaux qui seront employés dans
% plusieurs fonctions différentes de cet exercice.
function init_17bis ()
% Il faut penser à déclarer les variables concernées comme globales…
global Sperso Sinvest Sbanque r piA piB muA muB sigmaAA sigmaBB sigmaAB ...
  muAech muBech piAbis piBbis
% Montants resp. possédé hors prêt bancaire, prêté par la banque, et investi en
% bourse.
Sperso = 30000;
Sbanque = 100000;
Sinvest = Sbanque;
% Taux d'intérêt exigé par la banque.
r = .05;
% Proportion de l'investissement réalisé dans l'entreprise A, resp. dans
% l'entreprise B.
piA = .50;
piB = 1 - piA;
% Paramètres mu_A, mu_B, sigma_AA, sigma_BB et sigma_BB intervenant dans le
% modèle.
muA = .11;
muB = .08;
sigmaAA = .06;
sigmaBB = .015;
sigmaAB = .015;
% Valeurs de mu_A et de mu_B utilisées pour l'échantillonnage préférentiel.
muAech = -.43;
muBech = -.15;
% Valeurs de pi_A et de pi_B dans la nouvelle allocation de l'investissement.
piAbis = .45;
piBbis = 1 - piAbis;
end