%% Simulation avec X et Y mis à jour simultanément.
% Je ne commente que les différences avec "simulation_01".
function simulation_00 (X0, Y0, T)
global R dt
init_ordre ();
Npas = ceil (T / dt);
X_ = zeros (1, Npas + 1);
Y_ = zeros (1, Npas + 1);
t_ = zeros (1, Npas + 1);
X = X0;
Y = Y0;
t = 0;
X_(1) = X;
Y_(1) = Y;
t_(1) = t;
for i = 1 : Npas
  if i == Npas
    pas = T - t;
    t = T;
  else
    pas = dt;
    t = t + pas;
  end
  dW13 = sqrt (pas) * R * randn (2, 1);
  dW2 = sqrt (pas) * randn ();
  dW4 = sqrt (pas) * randn ();
  % Cette fois-ci on ne peut plus écrire directement « X = X + ... » puis « Y =
  % Y + ... », ni l'inverse : il faut d'abord calculer les accroissements "dX"
  % et "dY" sans toucher aux valeurs de X et Y, et ensuite seulement mettre à
  % jour X et Y.
  dX = Y * dW13(1) + dW2;
  dY = X * dW13(2) + dW4;
  X = X + dX;
  Y = Y + dY;
  X_(i + 1) = X;
  Y_(i + 1) = Y;
  t_(i + 1) = t;
end
figure (1)
clf
hold on
plot (t_, X_, 'blue')
plot (t_, Y_, 'red')
hold off
xlim ([0, T]);
return
end
