%% Simulation avec X et Y mis à jour simultanément (sans tracé).
% Variante de "simulation_00" où on ne trace pas de graphique, mais à la place
% on renvoie le 2-vecteur (X_T, Y_T).
function XY = simulation_00_muette (X0, Y0, T)
global R dt
Npas = ceil (T / dt);
X = X0;
Y = Y0;
t = 0;
for i = 1 : Npas
  if i == Npas
    pas = T - t;
    t = T;
  else
    pas = dt;
    t = t + pas;
  end
  dW13 = sqrt (pas) * R * randn (2, 1);
  dW2 = sqrt (pas) * randn ();
  dW4 = sqrt (pas) * randn ();
  dX = Y * dW13(1) + dW2;
  dY = X * dW13(2) + dW4;
  X = X + dX;
  Y = Y + dY;
end
XY = [X, Y];
return
end
