%% Émulation de "simulation_10" par une vraie méthode d'Euler.
% Ce code prétend simuler la véritable équation différentielle que modélise en
% fait le programme "simulation_10" (version sans tracé).
function XY = simulation_10bis (X0, Y0, T)
global R dt
Npas = ceil (T / dt);
X = X0;
Y = Y0;
t = 0;
for i = 1 : Npas
  if i == Npas
    pas = T - t;
    t = T;
  else
    pas = dt;
    t = t + pas;
  end
  dW13 = sqrt (pas) * R * randn (2, 1);
  dW2 = sqrt (pas) * randn ();
  dW4 = sqrt (pas) * randn ();
  % La différence par rapport à "simulation_00" est qu'il apparait un terme de
  % dérive dans l'évolution de X_t.
  dX = Y * dW13(1) + dW2 - X * pas;
  dY = X * dW13(2) + dW4;
  X = X + dX;
  Y = Y + dY;
end
XY = [X, Y];
return
end
