%% Estimation de la production journalière moyenne.
% Cette fonction estime et affiche la production journalière moyenne de l'usine,
% assortie d'un intervalle de confiance à 5 %, par la méthode de Monte-Carlo.
% "Nsim" est le nombre de simulations demandé. Le code étant archi-classique, je
% ne fais aucun commentaire. On notera simplement qu'a été créée pour la
% circonstance une fonction "usine_prod", qui simule la production journalière
% de l'usine comme "elec_usine_graph_prod", mais sans afficher de graphique.
function MC_prod (Nsim)
global risque z_risque
init_intermittences ();
somme_p = 0;
somme_p2 = 0;
for i = 1 : Nsim;
  p = usine_prod ();
  somme_p = somme_p + p;
  somme_p2 = somme_p2 + p ^ 2;
end
esp_p_emp = somme_p / Nsim;
var_p_emp = somme_p2 / Nsim - esp_p_emp ^ 2;
est_Ep = esp_p_emp;
var_est_Ep = var_p_emp / Nsim;
ect_est_Ep = sqrt (var_est_Ep);
fprintf ('La production journalière moyenne de l''usine est de ')
fprintf ('%.0f ± %.0f boulons (au risque %.1e).\n', ...
  est_Ep, z_risque * ect_est_Ep, risque);
return
end
