%% Estimation de la production journalière moyenne avec conditionnement.
% Cette fonction fait le même travail que "MC_prod", mais en utilisant la
% technique de conditionnement suggérée par l'énoncé. C'est le même code que
% "MC_prod", à ceci près qu'on passe par l'espérance de la production
% conditionnellement à ce qui s'est passé jusqu'à t_fin-T_pre, calculée par la
% fonction "usine_prod_cond", et indiquée par le suffixe 'pc'.
function MC_prod_cond (Nsim)
global risque z_risque
init_intermittences ();
somme_pc = 0;
somme_pc2 = 0;
for i = 1 : Nsim;
  pc = usine_prod_cond ();
  somme_pc = somme_pc + pc;
  somme_pc2 = somme_pc2 + pc ^ 2;
end
esp_pc_emp = somme_pc / Nsim;
var_pc_emp = somme_pc2 / Nsim - esp_pc_emp ^ 2;
est_Ep = esp_pc_emp;
var_est_Ep = var_pc_emp / Nsim;
ect_est_Ep = sqrt (var_est_Ep);
fprintf ('La production journalière moyenne de l''usine est de ')
fprintf ('%.0f ± %.0f boulons (au risque %.1e).\n', ...
  est_Ep, z_risque * ect_est_Ep, risque);
return
end
