%% Estimation de l'amélioration de la production journalière moyenne.
% Cette fonction estime l'amélioration de la production journalière moyenne de
% l'usine qu'apporterait la nouvelle chaine de production, par la méthode de
% Monte-Carlo avec couplage.
function MC_prod_coupl (Nsim)
global risque z_risque
init_intermittences ();
% Le préfixe 'dp' désigne la différence de production entre le nouveau cas et
% l'ancien.
somme_dp = 0;
somme_dp2 = 0;
for i = 1 : Nsim;
  % En fait c'est la fonction "usine_prod_coupl" qui va faire tout le travail,
  % en réalisant les deux simulations de manière couplée, renvoyées sous la
  % forme du 2-vecteur "p".
  p = usine_prod_coupl ();
  dp = p(2) - p(1);
  somme_dp = somme_dp + dp;
  somme_dp2 = somme_dp2 + dp ^ 2;
end
esp_emp = somme_dp / Nsim;
var_emp = somme_dp2 / Nsim - esp_emp ^ 2;
est_Edp = esp_emp;
var_est = var_emp / Nsim;
ect_est = sqrt (var_est);
fprintf ('L''amélioration  de la production journalière moyenne est de ')
fprintf ('%.0f ± %.0f boulons (au risque %.1e).\n', ...
  est_Edp, z_risque * ect_est, risque);
end
