%% Initialisation des paramètres globaux.
% Cette fonction initialise les paramètres globaux pour l'exercice «
% Intermittences ».
function init_intermittences ()
global tdeb tfin Tpre Tpre_neo taupan taurep D ELEC_PANNE ELEC_OK ...
  USINE_ARRET USINE_PRECH USINE_FONCT PANNE DEMICHAUD CHAUD REPARE FIN ...
  risque z_risque
% Paramètres de l'énoncé.
tdeb = 8;
tfin = 18;
Tpre = 1;
Tpre_neo = .5;
taupan = 3;
taurep = 1;
D = 100000;
% Codes pour représenter l'état du réseau électrique, resp. de l'usine.
ELEC_PANNE = -2;
ELEC_OK = -1;
USINE_ARRET = 0;
USINE_PRECH = 1;
USINE_FONCT = 2;
% Codes pour indiquer le phénomène qui vient de se produire.
PANNE = 0;
REPARE = 1;
DEMICHAUD = 2;
CHAUD = 3;
FIN = 4;
% Niveau de risque et z-valeur associée.
risque = .05;
z_risque = sqrt (2) * erfinv (1 - risque);
return
end
