%% Production journalière de l'usine.
% Cette fonction simule la production de l'usine au cours de la journée, mais
% sans rien tracer. Il s'agit en fait simplement d'un extrait des codes de
% "elec_usine_prod_graph", donc le programme se passe de commentaires. Remarquez
% cependant quelles parties du code nous avons pu supprimer. (Pour les plus
% pointilleux, notez que dans ce code-ci il n'y a en fait pas lieu de distinguer
% "USINE_ARRET" et "USINE_PRECH" ; cependant j'ai préféré faire simple et ne pas
% tenir compte de cette observation dans mon code, d'autant que nous aurons à
% nouveau besoin de faire la distinction lorsque nous procèderons à du
% conditionnement).
function production = usine_prod
global tdeb tfin taupan taurep Tpre ELEC_PANNE ELEC_OK ...
  USINE_ARRET USINE_PRECH USINE_FONCT PANNE CHAUD REPARE FIN D
t = tdeb;
if rand < taupan / (taurep + taupan)
  elec = ELEC_PANNE;
  usine = USINE_ARRET;
  phenomene_prec = PANNE;
else
  elec = ELEC_OK;
  usine = USINE_PRECH;
  phenomene_prec = REPARE;
end
production = 0;
while true
  switch elec
    case ELEC_PANNE
      phenomene = REPARE;
      attente = taurep * (-log (rand ()));
    case ELEC_OK
      phenomene = PANNE;
      attente = taupan * (-log (rand ()));
  end
  if phenomene_prec == REPARE && attente > Tpre
    phenomene = CHAUD;
    attente = Tpre;
  end
  t = t + attente;
  if t > tfin
    phenomene = FIN;
    attente = attente - (t - tfin);
    t = tfin;
  end
  if usine == USINE_FONCT
    production = production + attente * D;
  end
  switch phenomene
    case PANNE
      elec = ELEC_PANNE;
      usine = USINE_ARRET;
    case CHAUD
      usine = USINE_FONCT;
    case REPARE
      elec = ELEC_OK;
      usine = USINE_PRECH;
    case FIN
      break
  end
  phenomene_prec = phenomene;
end
return
end
