%% Simulation de la survie de l'espèce ou non.
% Cette fonction fait essentiellement la même chose que "simulation", mais au
% lieu de tracer un graphique, renvoie un booléen "survie" indiquant si l'espèce
% existe encore à la fin de la simulation ou non. Au niveau de l'interface, en
% entrée il n'y a plus deux valeurs de temps "tdeb" et "tfin", mais juste la
% durée "T" de la simulation (ce qui correspondrait à t_fin-t_deb). Je ne
% commente que les différences par rapport à "simulation" ; remarquez aussi
% toutes les parties du code qu'on a pu supprimer.
function survie = simulation_muette (Xdeb, Ydeb, T)
global alphaX alphaY beta0 beta1 betaY
X = Xdeb;
Y = Ydeb;
% Dans ce programme "t" est le temps depuis le début de la simulation.
t = 0;
% Il n'y a plus lieu de faire une boucle "for" découpant la simulation en
% subdivisions, puisque dans ce programme nous ne nous intéressons pas à tracer
% les valeurs successives de la population ; il y a donc juste une seule grande
% boucle "while".
while true
  if alphaX * X < alphaY * Y
    taux_naiss = alphaX * X;
  else
    taux_naiss = alphaY * Y;
  end
  taux_mort_X = (beta0 + beta1 * (X + Y)) * X;
  taux_mort_Y = (beta0 + beta1 * (X + Y) + betaY * (Y - 1)) * Y;
  taux_tot = taux_naiss + taux_mort_X + taux_mort_Y;
  if taux_tot == 0;
    break
  else
    t = t - log (rand ()) / taux_tot;
    % Ici le critère de sortie de la boucle est quand t est plus grand que T.
    if t > T
      break;
    end
  end
  r = rand;
  r = r - taux_naiss / 2 / taux_tot;
  if r < 0
    X = X + 1;
  else
    r = r - taux_naiss / 2 / taux_tot;
    if r < 0
      Y = Y + 1;
    else
      r = r - taux_mort_X / taux_tot;
      if r < 0
        X = X - 1;
      else
        Y = Y - 1;
      end
    end
  end
end
% On regarde si l'espèce a survécu jusqu'au temps T.
survie = X + Y > 0;
return
end
