%% Estimation de p par méthode de Monte-Carlo naïve.
% Cette fonction prend en argument le nombre "Nsim" de simulations demandées,
% affiche l'intervalle de confiance pour p calculé ainsi que sa marge d'erreur,
% et ne renvoie rien.
function MC_p (Nsim)
% Déclaration des paramètres globaux utilisés dans ce code.
global risque z_risque
% Initialisation des paramètres globaux, pour cette fonction ainsi que pour
% toutes les sous-fonctions qu'elle appellera.
init_Dudo ();
% "Nsucces" comptera le nombre d'expériences qui sont des succès.
Nsucces = 0;
% Boucle de Monte-Carlo.
for i = 1 : Nsim
  % On réalise une simulation ; et si celle-ci a renvoyé vrai, on incrémente
  % "Nsucces".
  if simulation ()
    Nsucces = Nsucces + 1;
  end
end
% Probabilité de succès empirique.
pba_succ_emp = Nsucces / Nsim;
% Variance empirique de l'indicatrice du succès, qui en l'occurrence se déduit
% directement de pba_succ_emp.
var_succ_emp = pba_succ_emp * (1 - pba_succ_emp);
% Estimateur de p ; puis variance et écart-type de cet estimateur.
est_p = pba_succ_emp;
var_est_p = var_succ_emp / Nsim;
ect_est_p = sqrt (var_est_p);
% Affichage du résultat.
fprintf ('Au risque %.1e, p vaut %f %% ± %f.\n', risque, 100 * est_p, ...
  100 * z_risque * ect_est_p);
% Fin de la fonction.
return
end
