function MC_cond_CRN (Nsim)
global Let lambda lambda_p
init_fissures ()
% "s" et "s2" sont la somme et la somme des carrés des valeurs simulées.
s = 0;
s2 = 0;
% Boucle de Monte-Carlo
for i = 1 : Nsim
  % "n0" joue le rôle de "n" pour l'acier initial, et "n1" pour le nouvel acier.
  n0 = 0;
  n1 = 0;
  % "l0" est la longueur cumulée des fissures dans la situation initiale ; "l1"
  % quand on a pris le nouvel acier.
  l0 = 0;
  l1 = 0;
  % Quand l1 dépasse Let, automatiquement l0 le dépasse aussi.
  while l1 < Let
    % On fait un couplage en utilisant la même exponentielle dans les deux cas.
    exponentielle = - log (rand ());
    % Il ne faut plus incrémenter n0 une fois qu'on a atteint la valeur critique
    % pour le cas de base.
    if l0 < Let
      n0 = n0 + 1;
      l0 = l0 + lambda * exponentielle;
    end
    n1 = n1 + 1;
    l1 = l1 + lambda_p * exponentielle;
  end
  diff_p_cond = probansauts (n0) - probansauts_p (n1);
  %fprintf ('%e\n', p_cond);
  s = s + diff_p_cond;
  s2 = s2 + diff_p_cond ^ 2;
end
esp_emp_f = s / Nsim;
var_emp_f = s2 / Nsim - esp_emp_f ^ 2;
est_diffp = esp_emp_f;
var_est_diffp = var_emp_f / Nsim;
ect_est_diffp = sqrt (var_est_diffp);
fprintf ('On a amélioré la probabilité de rupture du tuyau de :\n');
fprintf ('%.2f ppm ± %.2f.\n', 10 ^ 6 * est_diffp, 10 ^ 6 * 1.96 * ect_est_diffp);
return
end