function soiree_brown (R0)
global Tsoiree a b
init_casino ();
% Nombre de points intermédiaires retenus pour le tracé.
Npas = 480;
longueur_pas = Tsoiree / Npas;
valeurs_reserve = zeros (1, Npas + 1);
reserve = R0;
valeurs_reserve (1) = reserve;
for i = 1 : Npas
  % On ajoute d'abord la partie brownienne de l'évolution de la réserve
  reserve = reserve + a * sqrt (longueur_pas) * randn () + b * longueur_pas;
  % "t" se réfère ici au temps écoulé depuis le début du pas utilisé pour le
  % tracé.
  t = 0;
  % Attention ; maintenant il ne faut faire que les simulations relatives aux
  % gorsses mises, repérées par le suffixe '_gros'.
  while true
    t = t + attente_gros;
    if t > longueur_pas
      break;
    end
    reserve = reserve + partie_gros ();
  end
  % On stocke la valeur de la réserve à la fin du pas de temps.
  valeurs_reserve(i + 1) = reserve;
end
valeurs_temps = (0 : Npas) * longueur_pas;
plot (valeurs_temps, valeurs_reserve);
xlim ([0, Tsoiree]);
return
end