%% Méthode de Buffon avec variables antithétiques.
% Cette fonction améliore "Buffon_cond" en y employant la technique des
% variables antithétiques, pour les variables antithétiques suggérées dans
% l'énoncé. Je ne commente que les différences avec "Buffon_cond".
function Buffon_anti ()
global a l risque z_risque
init_Buffon ();
Z = 1000000;
% On va utiliser les suffixes 'nb' et 'nbp' pour désigner les variables
% antithétiques, et 'f' pour désigner leur somme, à laquelle on applique
% effectivement la méthode de Monte-Carlo.
som_f = 0;
som_f2 = 0;
for i = 1 : Z
  cossintheta = sim_theta ();
  sintheta = cossintheta(2);
  % "sinthetap" correspond à \sin(\theta'_i), qui n'est autre que
  % |\cos(\theta_i)|.
  sinthetap = abs (cossintheta(1));
  % Calcul des variables antithétiques "nb" et "nbp".
  nb =  a / l * sintheta;
  nbp = a / l * sinthetap;
  % Calcul de la somme "f" des variables antithétiques, et mise à jour des
  % sommes.
  f = nb + nbp;
  som_f = som_f + f;
  som_f2 = som_f2 + f ^ 2;
end
esp_f_emp = som_f / Z;
var_f_emp = som_f2 / Z - esp_f_emp ^ 2;
% Ne pas oublier de tenir compte du facteur 1/2 entre E(f) et \nu lorsqu'on
% déduit l'estimateur de \nu et sa variance des paramètres de la loi empirique
% de f…
est_nu = esp_f_emp / 2;
var_est_nu = var_f_emp / Z / 4;
est_pi = 2 * a / l / est_nu;
var_est_pi = (2 * a / l / est_nu ^ 2) ^ 2 * var_est_nu;
fprintf ('Au risque %.1e, \\pi est compris dans l''intervalle ', risque);
fprintf ('[%f, %f].\n', est_pi - z_risque * sqrt (var_est_pi), ...
  est_pi + z_risque * sqrt (var_est_pi));
end
