%% Expérience de Buffon avec conditionnement.
% Cette fonction est similaire à "Buffon_noncond", à ceci près qu'on utilise le
% conditionnement par rapport à la seule valeur de \theta, sans simuler
% \tilde{y}. Je ne commente que les différences avec "Buffon_noncond".
function Buffon_cond ()
global a l risque z_risque
init_Buffon ();
Z = 1000000;
% Cette fois-ci ce ne sont plus les n_i (et leurs carrés) qu'on va sommer, mais
% les \bar{n}_i. On utilise le suffixe 'nb' pour désigner ces variables.
som_nb = 0;
som_nb2 = 0;
for i = 1 : Z
  % Cette fois-ci on ne simule plus \tilde{y}_i !
  cossintheta = sim_theta ();
  sintheta = cossintheta(2);
  % On calcule \bar{n}_i et on met à jour les sommes.
  nb = a / l * sintheta;
  som_nb = som_nb + nb;
  som_nb2 = som_nb2 + nb ^ 2;
end
% La suite est essentiellement identique au code de "Buffon_noncond", à ceci
% près que \nu n'est plus vu comme l'espérance de n mais comme celle de \bar{n}.
esp_nb_emp = som_nb / Z;
var_nb_emp = som_nb2 / Z - esp_nb_emp ^ 2;
est_nu = esp_nb_emp;
var_est_nu = var_nb_emp / Z;
est_pi = 2 * a / l / est_nu;
var_est_pi = (2 * a / l / est_nu ^ 2) ^ 2 * var_est_nu;
fprintf ('Au risque %.1e, \\pi est compris dans l''intervalle ', risque);
fprintf ('[%f, %f].\n', est_pi - z_risque * sqrt (var_est_pi), ...
  est_pi + z_risque * sqrt (var_est_pi));
return
end
