%% Méthode de Buffon avec variable de contrôle, version rudimentaire.
% Cette fonction améliore "Buffon_cond" en y employant la technique de la
% variable de contrôle, pour la variable de contrôle suggérée dans l'énoncé. Je
% ne commente que les différences avec "Buffon_cond".
function Buffon_ctrl ()
global a l risque z_risque
init_Buffon ();
Z = 1000000;
% On va utiliser le suffixe 'vc' pour se référer à la variable de contrôle, et
% le suffixe 'f' pour désigner la variable corrigée à laquelle on applique
% effectivement la méthode de Monte-Carlo.
som_f = 0;
som_f2 = 0;
for i = 1 : Z
  cossintheta = sim_theta ();
  sintheta = cossintheta(2);
  nb = a / l * sintheta;
  % On calcule la valeur de la variable de contrôle "vc" pour la simulation
  % considérée.
  vc = a / l * (3 / 4 * sintheta ^ 2 - 1 / 8 * sintheta ^ 4);
  % On calcule la variable corrigée "f" correspondante.
  f = nb - vc;
  som_f = som_f + f;
  som_f2 = som_f2 + f ^ 2;
end
esp_f_emp = som_f / Z;
var_f_emp = som_f2 / Z - esp_f_emp ^ 2;
% Pour déduire des paramètres de la simulation de f l'estimateur de \nu et sa
% variance, nous avons besoin de connaitre l'espérance (exacte) de vc, appelée
% "esp_vc".
esp_vc = 21 / 64 * a / l;
est_nu = esp_f_emp + esp_vc;
var_est_nu = var_f_emp / Z;
est_pi = 2 * a / l / est_nu;
var_est_pi = (2 * a / l / est_nu ^ 2) ^ 2 * var_est_nu;
fprintf ('Au risque %.1e, \\pi est compris dans l''intervalle ', risque);
fprintf ('[%f, %f].\n', est_pi - z_risque * sqrt (var_est_pi), ...
  est_pi + z_risque * sqrt (var_est_pi));
return
end
