%% Simulation de \theta.
% Cette fonction simule, par la méthode de rejet, un angle \theta uniforme entre
% 0 et \pi, ou plus exactement son couple (cosinus,sinus), appelé "cossin". On
% peut aussi lui remander de renvoyer le nombre "rejets" d'essais rejetés lors
% de la simulation.
function [cossin, rejets] = sim_theta ()
% Initialisation de "essais".
rejets = 0;
% Boucle pour la méthode de rejet.
while true
  % (x,y) est un point uniforme du rectangle [-1,1]×[0,1].
  x = -1 + rand () * 2;
  y = rand ();
  % "r" est la distance de (x,y) à l'origine.
  r = sqrt (x ^ 2 + y ^ 2);
  % Si "r" est dans le demi-disque de rayon 1, on en déduit les coordonnées,
  % resp. appelés "sintheta" et "costheta", du vecteur normé correspondant, et
  % on sort de la boucle de rejet.
  if r <= 1
    costheta = x / r;
    sintheta = y / r;
    break
  else
    % Si on n'est pas tombé dans le demi-disque, on incrémente "rejets" avant de
    % reprendre la boucle de rejet.
    rejets = rejets + 1;
  end
end
% On regroupe "costheta" et "sintheta" dans "cossin".
cossin = [costheta, sintheta];
% On renvoie les valeurs simulées.
return;
end
